Subject: Re: general protection fault in dst_dev_put (2)

From: syzbot <[email-masked]>
Date: Tue, 19 Mar 2019 10:24:01 -0700

syzbot has bisected this bug to:

commit 52dfae5c85a4c1078e9f1d5e8947d4a25f73dd81
Author: Jon Maloy <[email-masked]>
Date:   Thu Mar 22 19:42:52 2018 +0000

     tipc: obtain node identity from interface by default

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=1631fc2b200000
start commit:   52dfae5c tipc: obtain node identity from interface by defa..
git tree:       upstream
final crash:    https://syzkaller.appspot.com/x/report.txt?x=1531fc2b200000
console output: https://syzkaller.appspot.com/x/log.txt?x=1131fc2b200000
kernel config:  https://syzkaller.appspot.com/x/.config?x=8f00801d7b7c4fe6
dashboard link: https://syzkaller.appspot.com/bug?extid=9d4c12bfd45a58738d0a
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=17254878c00000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=171ca5df400000

Reported-by: [email-masked]
Fixes: 52dfae5c ("tipc: obtain node identity from interface by default")